Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly
Interface LocationAware

All Known Implementing Classes:
  BreakException, JellyException, JellyTagException, MissingAttributeException

    public interface LocationAware

`LocationAware` represents a Tag or Exception which is location aware. That is to say it is capable of recording where in a Jelly script a tag or exception is used which can aid debugging and tracing.

Version:
  $Revision: 155420 $
Author:
  James Strachan

Method Summary
`int` | `getColumnNumber()`
`java.lang.String` | `getElementName()`
`java.lang.String` | `getFileName()`
`int` | `getLineNumber()`
`void` | `setColumnNumber(int columnNumber)` Sets the column number of the tag
`void` | `setElementName(java.lang.String elementName)` Sets the element name which caused the problem
`void` | `setFileName(java.lang.String fileName)` Sets the Jelly file which caused the problem
`void` | `setLineNumber(int lineNumber)` Sets the line number of the tag

Method Detail

### getLineNumber

    int getLineNumber()

  Returns:
    the line number of the tag

### setLineNumber

    void setLineNumber(int lineNumber)

  Sets the line number of the tag

### getColumnNumber

    int getColumnNumber()

  Returns:
    the column number of the tag

### setColumnNumber

    void setColumnNumber(int columnNumber)

  Sets the column number of the tag

### getFileName

    java.lang.String getFileName()

  Returns:
    the Jelly file which caused the problem

### setFileName

    void setFileName(java.lang.String fileName)

  Sets the Jelly file which caused the problem

### getElementName

    java.lang.String getElementName()

  Returns:
    the element name which caused the problem

### setElementName

    void setElementName(java.lang.String elementName)

  Sets the element name which caused the problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.